package client

import (
	"net"

	"gopkg.in/natefinch/npipe.v2"
)

func newSocketBuilder(address string) *SocketBuilders {
	sb := &SocketBuilders{}
	sb.Network = "pipe"
	sb.Address = address

	return sb
}

func (sb *SocketBuilders) Dial(network, address string) (net.Conn, error) {
	if 0 == sb.HandshakeTimeout {
		return npipe.Dial(`\\.\pipe\` + address)
	}
	return npipe.DialTimeout(`\\.\pipe\`+address, sb.HandshakeTimeout)
}
